SQLOutputToTuple
Date: 2010-07-30

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.postgresql.pljava.jdbc
Class SQLOutputToTuple

    java.lang.Object
      org.postgresql.pljava.jdbc.SQLOutputToTuple

All Implemented Interfaces:
  java.sql.SQLOutput

    public class SQLOutputToTuple

extends java.lang.Object
implements java.sql.SQLOutput

Constructor Summary
`SQLOutputToTuple(TupleDesc tupleDesc)`

Method Summary
`long` | `getTuple()` Creates a tuple from the written values and returns its native pointer.
`void` | `writeArray(java.sql.Array value)`
`void` | `writeAsciiStream(java.io.InputStream value)`
`void` | `writeBigDecimal(java.math.BigDecimal value)`
`void` | `writeBinaryStream(java.io.InputStream value)`
`void` | `writeBlob(java.sql.Blob value)`
`void` | `writeBoolean(boolean value)`
`void` | `writeByte(byte value)`
`void` | `writeBytes(byte[] value)`
`void` | `writeCharacterStream(java.io.Reader value)`
`void` | `writeClob(java.sql.Clob value)`
`void` | `writeDate(java.sql.Date value)`
`void` | `writeDouble(double value)`
`void` | `writeFloat(float value)`
`void` | `writeInt(int value)`
`void` | `writeLong(long value)`
`void` | `writeNClob(java.sql.NClob x)`
`void` | `writeNString(java.lang.String x)`
`void` | `writeObject(java.sql.SQLData value)`
`void` | `writeRef(java.sql.Ref value)`
`void` | `writeRowId(java.sql.RowId x)`
`void` | `writeShort(short value)`
`void` | `writeSQLXML(java.sql.SQLXML x)`
`void` | `writeString(java.lang.String value)`
`void` | `writeStruct(java.sql.Struct value)`
`void` | `writeTime(java.sql.Time value)`
`void` | `writeTimestamp(java.sql.Timestamp value)`
`void` | `writeURL(java.net.URL value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLOutputToTuple

    public SQLOutputToTuple(TupleDesc tupleDesc)

Method Detail

### getTuple

    public long getTuple()
                  throws java.sql.SQLException

  Creates a tuple from the written values and returns its native pointer. All values must have been written. This method is called automatically by the trigger handler and should not be called in any other way.

  Returns:
    The Tuple reflecting the current row values.
  Throws:
    `java.sql.SQLException`

### writeArray

    public void writeArray(java.sql.Array value)
                    throws java.sql.SQLException

  Specified by:
    `writeArray` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeAsciiStream

    public void writeAsciiStream(java.io.InputStream value)
                          throws java.sql.SQLException

  Specified by:
    `writeAsciiStream` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeBigDecimal

    public void writeBigDecimal(java.math.BigDecimal value)
                         throws java.sql.SQLException

  Specified by:
    `writeBigDecimal` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeBinaryStream

    public void writeBinaryStream(java.io.InputStream value)
                           throws java.sql.SQLException

  Specified by:
    `writeBinaryStream` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeBlob

    public void writeBlob(java.sql.Blob value)
                   throws java.sql.SQLException

  Specified by:
    `writeBlob` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeBoolean

    public void writeBoolean(boolean value)
                      throws java.sql.SQLException

  Specified by:
    `writeBoolean` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeByte

    public void writeByte(byte value)
                   throws java.sql.SQLException

  Specified by:
    `writeByte` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeBytes

    public void writeBytes(byte[] value)
                    throws java.sql.SQLException

  Specified by:
    `writeBytes` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeCharacterStream

    public void writeCharacterStream(java.io.Reader value)
                              throws java.sql.SQLException

  Specified by:
    `writeCharacterStream` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeClob

    public void writeClob(java.sql.Clob value)
                   throws java.sql.SQLException

  Specified by:
    `writeClob` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeDate

    public void writeDate(java.sql.Date value)
                   throws java.sql.SQLException

  Specified by:
    `writeDate` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeDouble

    public void writeDouble(double value)
                     throws java.sql.SQLException

  Specified by:
    `writeDouble` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeFloat

    public void writeFloat(float value)
                    throws java.sql.SQLException

  Specified by:
    `writeFloat` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeInt

    public void writeInt(int value)
                  throws java.sql.SQLException

  Specified by:
    `writeInt` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeLong

    public void writeLong(long value)
                   throws java.sql.SQLException

  Specified by:
    `writeLong` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeObject

    public void writeObject(java.sql.SQLData value)
                     throws java.sql.SQLException

  Specified by:
    `writeObject` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeRef

    public void writeRef(java.sql.Ref value)
                  throws java.sql.SQLException

  Specified by:
    `writeRef` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeShort

    public void writeShort(short value)
                    throws java.sql.SQLException

  Specified by:
    `writeShort` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeString

    public void writeString(java.lang.String value)
                     throws java.sql.SQLException

  Specified by:
    `writeString` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeStruct

    public void writeStruct(java.sql.Struct value)
                     throws java.sql.SQLException

  Specified by:
    `writeStruct` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeTime

    public void writeTime(java.sql.Time value)
                   throws java.sql.SQLException

  Specified by:
    `writeTime` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeTimestamp

    public void writeTimestamp(java.sql.Timestamp value)
                        throws java.sql.SQLException

  Specified by:
    `writeTimestamp` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeURL

    public void writeURL(java.net.URL value)
                  throws java.sql.SQLException

  Specified by:
    `writeURL` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeNClob

    public void writeNClob(java.sql.NClob x)
                    throws java.sql.SQLException

  Specified by:
    `writeNClob` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeNString

    public void writeNString(java.lang.String x)
                      throws java.sql.SQLException

  Specified by:
    `writeNString` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeRowId

    public void writeRowId(java.sql.RowId x)
                    throws java.sql.SQLException

  Specified by:
    `writeRowId` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

### writeSQLXML

    public void writeSQLXML(java.sql.SQLXML x)
                     throws java.sql.SQLException

  Specified by:
    `writeSQLXML` in interface `java.sql.SQLOutput`
  Throws:
    `java.sql.SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003, 2004, 2005 TADA AB - Taby Sweden. \ Distributed under the terms shown in COPYRIGHT